Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm, arm64, ppc, ppc64 ], all versions are unstable: [ 25.1-r2, 25.2, 26.0-r1, 26.1, 27.0 ]
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 27.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 26.0-r1, 26.1, 27.0
    • StableRequest
      slot(0) no change in 48 days for unstable keywords: [ ~amd64, ~x86 ]
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 26.1, 27.0
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~arm64, ~ppc, ~ppc64 ]
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (216 total) failed REQUIRED_USE: gui
  • 27.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
  • 26.1
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 27.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
  • 26.0-r1
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
    • StableRequest
      slot(0) no change in 48 days for unstable keywords: [ ~amd64, ~x86 ]
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 26.1, 27.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
  • 25.2
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 26.0-r1, 26.1, 27.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on line: 8
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (156 total) failed REQUIRED_USE: gui
  • 25.1-r2
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~arm64, ~ppc, ~ppc64 ]
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (216 total) failed REQUIRED_USE: gui

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.